#include <bits/stdc++.h> 
using namespace std;

int main()
{
	int N;
	int poz = -2;
    int L;
    int H [N];
    cin>>N>>L;
    for(int i =0;i <N;i++)
    {
    	cin>>H[i];
    	if(L>=H[i] && poz!=-2)
		{
			poz=i+1;
		}
	}
	cout<<poz+1;
}